newer 发表于 2021-1-8 13:04:52

用ARX创建线型


问题:
How can I create a linetype using ARX?

解答:
The sample code below creates a linetype using ARX:


#include "dbmain.h"         
#include "dbsymtb.h"

void utilsarxtest ()   {
    AcDbLinetypeTable *pLtypeTable =NULL ;
    // get the linetype table from the drawing
    if ( acdbHostApplicationServices()->workingDatabase()->getLinetypeTable (pLtypeTable, AcDb::kForWrite) ==
Acad::eOk ) {
      AcDbLinetypeTableRecord *pLtypeTableRecord =new
AcDbLinetypeTableRecord ;
      // set all of the properties of the linetype table record.
      pLtypeTableRecord->setAsciiDescription ("T E S T -") ;
      pLtypeTableRecord->setPatternLength (0.75) ;
      pLtypeTableRecord->setNumDashes (2) ;
      pLtypeTableRecord->setDashLengthAt (0, 0.5) ;
      pLtypeTableRecord->setDashLengthAt (1,-0.25) ;
      pLtypeTableRecord->setName ("ASTESTER") ;

      AcDbObjectId tmpId ;
      // add the pLtypeTableRecord to the linetype table
      if (pLtypeTable->add (tmpId, pLtypeTableRecord)==Acad::eOk){
            pLtypeTableRecord->close () ;
      } else {
            delete pLtypeTableRecord ;
      }
      // close everything up
      pLtypeTable->close () ;
    }
}


mocheng 发表于 2021-2-18 11:47:42

点赞~~~~~~~~~~~

mocheng 发表于 2021-3-30 10:14:39

点赞
{:1_7:}{:1_3:}{:1_3:}{:1_3:}{:1_3:}

lqxonnsc1985 发表于 2021-4-16 09:57:35

初学者学习{:1_1:}{:1_1:}{:1_1:}{:1_1:}{:1_1:}{:1_1:}

mocheng 发表于 2021-4-21 16:32:07

学习学习。。。。。。。。。。。。。。。

mocheng 发表于 2021-9-16 09:43:37

谢谢楼主分享。。。。。。。。。。。。。。。。。。。。。。。。
页: [1]
查看完整版本: 用ARX创建线型